Subject: [ANNOUNCE] embedded book / embeddedTUX.org

From: Karim Yaghmour <[email-masked]>
Date: Thu, 08 May 2003 13:54:30 -0400

Hello,

For some time now I have been working on putting together
documentation to help developers use Linux in embedded
systems without requiring the purchase of any product or
the use of any pre-packaged distribution:
http://www.oreilly.com/catalog/belinuxsys/
The approach I've documented requires only that you have
an Internet connection to download the various packages
straight from the source. The complete procedure to obtain
a functional embedded system based on those packages is
detailed in the book.

The book covers the use of many different hardware platforms,
including the PPC, and does not focus on any single
architecture. Among other things, the configuration,
installation, and use of U-Boot on a PPC platform is amply
covered.

In order to further increase the level of technical
discussion around the use of Linux in embedded systems and
provide up-to-date information, I've also set up a web site
and a mailing list at:
http://www.embeddedtux.org/
As the site states, hype and other marketing-related material
aren't welcome on embeddedTUX.org. I think many will agree
that there has been enough of that already on the subject of
"embedded Linux."

My intent with writing the book and building the site was
to bridge the gap that exists between embedded systems
developers that use open source and free software packages,
and the open source and free software community that produces
these packages. My hope is that we will see mainstream
embedded developers make more contributions to the open
source and free software packages they use in building
embedded Linux systems. Ultimately, this will ensure Linux
remains the best choice for an embedded OS.

[There is, of course, more detail to these ideas than I
can fit in an email. I invite you to take a look at the
book and the site if you're interested.]

HTH,

Karim

===================================================
                 Karim Yaghmour
               [email-masked]
      Embedded and Real-Time Linux Expert
===================================================

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/